REM ======================================================================
REM CFA-10006 BASIC Desmonstration Code
REM Copyright 2008, Crystalfontz America, Inc.
REM http://www.crystalfontz.com
REM 
REM Licensed under the Apache License, Version 2.0 (the "License");
REM you may not use this file except in compliance with the License.
REM You may obtain a copy of the License at
REM 
REM      http://www.apache.org/licenses/LICENSE-2.0
REM 
REM Unless required by applicable law or agreed to in writing, software
REM distributed under the License is distributed on an "AS IS" BASIS,
REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
REM implied. See the License for the specific language governing
REM permissions and limitations under the License.
REM ======================================================================
REM Create our variables, full on.
     BL =   100

REM Update the hardware from the variables
     backset 0, BL

REM Put up the background of the backlght sweep screen.
     bitmap "/blsweep/mblsweep.cf0"

REM Sweep down to 0
100  IF (KEYGET()<>0) THEN 9000
     BL = BL - 1
     backset 0, BL
     REM Print the values on the LCD.
     GOSUB 3000
     DELCNT = 10
     GOSUB 2000
     IF (0 < BL) THEN 100
     DELCNT = 100
     GOSUB 2000

REM from 0 to 100
500 IF (KEYGET()<>0) THEN 9000
     BL = BL + 1
     backset 0, BL
     REM Print the values on the LCD.
     GOSUB 3000
     DELCNT = 10
     GOSUB 2000
     IF (BL < 100) THEN 500
     DELCNT = 100
     GOSUB 2000
     RETVAL=4
     GOTO 9900

2000 REM Variable delay with abort, set DELCNT before calling
2100 IF (KEYGET()<>0) THEN 9000
     DELAY 10
     DELCNT = DELCNT - 1
     IF (0 < DELCNT) THEN 2100
     RETURN

3000 REM Print RGB values at 12,4
     if (9<BL) THEN 3100
     PRINTXY 13, 5, "  "
     PRINTXY 15, 5, str$(BL)
     GOTO 3120
3100 if (99<BL) THEN 3110
     PRINTXY 13, 5, " "
     PRINTXY 14, 5, str$(BL)
     GOTO 3120
3110 PRINTXY 13, 5, str$(BL)
3120 RETURN

9000 RETVAL=10
9900 REM "Restore backlight from eeprom."
     backrest 0
     run "/basic/demo.bas", RETVAL, 0, 0
