REM ======================================================================
REM CFA-10006 BASIC Desmonstration Code
REM Copyright 2008, Crystalfontz America, Inc.
REM http://www.crystalfontz.com
REM 
REM Licensed under the Apache License, Version 2.0 (the "License");
REM you may not use this file except in compliance with the License.
REM You may obtain a copy of the License at
REM 
REM      http://www.apache.org/licenses/LICENSE-2.0
REM 
REM Unless required by applicable law or agreed to in writing, software
REM distributed under the License is distributed on an "AS IS" BASIS,
REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
REM implied. See the License for the specific language governing
REM permissions and limitations under the License.
REM ======================================================================
     CONTVAL = ((contget()-5)*100)/30

     IF (-1 < CONTVAL) then 1000
     CONTVAL = 0
1000 IF (CONTVAL < 101) then 2000
     CONTVAL = 100

2000 REM "Contrast editing loop"

     contset(((CONTVAL*30)/100)+5)

     REM "Show the appropriate image, based on CONTVAL"
     bitmap "/cont/cont" + str$(CONTVAL) + ".cf0"

     REM "Handle each of the keys"
     KEY = KEYGET()

2100 REM "cancel: Restore contrast, exit loop"
     if (KEY <> 1) then 2200
     REM "Restore contrast from eeprom."
     contrest
     run "/sys/sys.bas", 0, 0, 0

2200 REM " + : Increase contrast"
     if (KEY <> 2) then 2300
     if (99 < CONTVAL) then 2000
     CONTVAL = CONTVAL + 1
     goto 2000

2300 REM " - : Decrease contrast"
     if (KEY <> 3) then 2400
     if (CONTVAL < 1) then 2000
     CONTVAL = CONTVAL - 1
     goto 2000

2400 REM "enter: Save contrast, exit loop"
     if (KEY <> 4) then 2000
     REM "Save backlight to eeprom."
     contsave
     run "/sys/sys.bas", 0, 0, 0
